Debian Bug report logs - #475739
live-helper: package not installed if dependency satisfied only by local package

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Andrei Popescu <andreimpopescu@gmail.com>

Date: Sat, 12 Apr 2008 16:18:01 UTC

Severity: normal

Found in version live-helper/1.0~a43-1

Fixed in version live-helper/1.0~a45-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#475739; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Andrei Popescu <andreimpopescu@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrei Popescu <andreimpopescu@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: package not installed if dependency satisfied only by local package
Date: Sat, 12 Apr 2008 19:08:38 +0300
Package: live-helper
Version: 1.0~a43-1
Severity: normal


I have nvidia-glx in my package lists, but it depends on 
nvidia-kernel-whatever, which for sid and lenny doesn't exist in the 
repos. So I built it with 'm-a build nvidia' and copied the deb in 
config/chroot_local_packages. But nvidia-glx is still not installed, 
because the local packages are installed last. 

I can work around it in various ways, but I think this should be fixed.

Regards,
Andrei

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.8      Bootstrap a basic Debian system

live-helper recommends no packages.

-- no debconf information




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrei Popescu <andreimpopescu@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 475739-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 475739-close@bugs.debian.org
Subject: Bug#475739: fixed in live-helper 1.0~a45-1
Date: Mon, 21 Apr 2008 09:32:07 +0000
Source: live-helper
Source-Version: 1.0~a45-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0~a45-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0~a45-1.diff.gz
live-helper_1.0~a45-1.dsc
  to pool/main/l/live-helper/live-helper_1.0~a45-1.dsc
live-helper_1.0~a45-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0~a45-1_all.deb
live-helper_1.0~a45.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0~a45.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 475739@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Apr 2008 00:00:00 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0~a45-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 475739
Changes: 
 live-helper (1.0~a45-1) unstable; urgency=medium
 .
   [ Tiago Bortoletto Vaz ]
   * lh_chroot_local-preseed: fix minor typo
 .
   [ Chris Lamb ]
   * Install most chroot packages in one  call (Closes: #475739)
   * Install local packages using a local APT repo instead of using "dpkg -i"
   * hooks/minimal: Use "find -print0 | xargs -0" idiom over "find | xargs"
   * Allow fallback to chroot_package-lists inside binary lists
   * Remove temporary binary package list files
   * Tidy calls to new Expand_packagelist
   * Rewrite Expand_packagelist to not be recursive
 .
   [ Daniel Baumann ]
   * Updating snapshot build script.
   * When building snapshot images, also storing source.list away.
   * Building snapshot images with --apt-recommends disabled.
   * Adding example script to build a row of images.
   * Some formating and style cleanups.
   * Using one single packages cache directory for all chroot packages.
   * Using hardlinks to copy local packages into chroot.
   * Moving lh_chroot_packages call in lh_chroot to old place.
   * Updating snapshots url.
   * Adding live-magic to snapshots.
   * Adding debian-unofficial-archive-keyring to snapshots.
   * Updating live-snapshots example sources.
   * Removing non anymore existing live-backports example sources.
   * Renaming image build script.
   * Adjusting Save_cache(); to skip already cached .deb files and only
     copying new packages to it.
Checksums-Sha1: 
 05a7a02154dadd65f5ea8d609979f033de0be5c7 1258 live-helper_1.0~a45-1.dsc
 f8f20d94633c1ae39f4e041665a14b052f847eb7 1938672 live-helper_1.0~a45.orig.tar.gz
 c4971be60593d14a2aafcaacf47b738abe5684b2 13350 live-helper_1.0~a45-1.diff.gz
 cfbcfa6ed2c5bd41de9c97bff96a0b1bb4e87b59 1885638 live-helper_1.0~a45-1_all.deb
Checksums-Sha256: 
 21cb0f9a5c7842012ca024f81ba87ddd9275fe6f81378ac6725bc14a43bdff0c 1258 live-helper_1.0~a45-1.dsc
 8c1e5776b1f2f2e8e77e5514b792af0063ebdef44a031fa3b35ca65b6064c055 1938672 live-helper_1.0~a45.orig.tar.gz
 75f2419d230d297df8d73396dac8117d7b1d53a7faa7fcdf77354cd0754fa929 13350 live-helper_1.0~a45-1.diff.gz
 6a10f2e32b657e8a75893152f444893a380baacd3239de7dc38d2c392de5ea7c 1885638 live-helper_1.0~a45-1_all.deb
Files: 
 d5e3dc7cbd05d2d3ef54a542f0efaa89 1258 misc optional live-helper_1.0~a45-1.dsc
 5e222c63c1e5227cad5e39101860aaac 1938672 misc optional live-helper_1.0~a45.orig.tar.gz
 8990d4ec444be83f9ad59ed4b9b744d8 13350 misc optional live-helper_1.0~a45-1.diff.gz
 00102efa6793297a2d053a45d438c982 1885638 misc optional live-helper_1.0~a45-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIDFxW+C5cwEsrK54RAsY8AJ4scCb3djk99x7UZfMwT+hwH0xsuACgi3cD
iIGVsKDEp8hoGagYjCOeFsU=
=psDH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 May 2008 07:29:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:47:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.